export default class {
    protected db: any;
    protected appKey: string;
    protected token: string;
    constructor(configDir: string, appKey: string, token: string);
    bootstrap(): Promise<void>;
    reset(): Promise<void>;
    sync(): Promise<void>;
    getBoard(id: string): Promise<string>;
    getList(id: string): Promise<string>;
    getBoardIdByName(name: string): Promise<string>;
    getListIdByBoardAndName(board: string, name: string): Promise<string>;
    getLabelIdByName(name: string): Promise<string>;
    getLabelsByBoardAndColor(boardId: string, color: string, name?: string): Promise<Array<{
        id: string;
        name: string;
    }>>;
    getLabelIdByBoardAndColor(boardId: string, color: string, name?: string): Promise<string>;
    getUserIdByName(name: string): Promise<string>;
    convertMemberIdsToEntity(ids: string[]): Promise<string>;
    getListsOnBoard(id: string): Promise<string>;
}
